Attribute VB_Name = "basEstoque"
Option Explicit

Public db As ADODB.Connection

Sub AbreBanco()
   Dim sPath As String
   
   Set db = New ADODB.Connection
   sPath = App.Path & "\Estoque97.mdb"
   db.Open "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & sPath
End Sub

Sub CarregaCboPedido(cbo As ComboBox, blnPesquisa As Boolean)
   Dim rsCbo As ADODB.Recordset
   
   cbo.Clear
   If blnPesquisa Then cbo.AddItem "(TODOS)"
   Set rsCbo = db.Execute("SELECT DISTINCT CodigoPedido FROm tblPedidos ORDER BY CodigoPedido")
   Do While Not rsCbo.EOF
      cbo.AddItem Format(rsCbo!CodigoPedido, "0000")
      rsCbo.MoveNext
   Loop ' rsCbo
   rsCbo.Close
End Sub

Sub CarregaCboProduto(cbo As ComboBox)
   Dim rsCbo As ADODB.Recordset
   
   cbo.Clear
   Set rsCbo = db.Execute("SELECT CodigoProduto FROm tblEstoque ORDER BY CodigoProduto")
   Do While Not rsCbo.EOF
      cbo.AddItem rsCbo!Codigoproduto
      rsCbo.MoveNext
   Loop ' rsCbo
   rsCbo.Close
End Sub

Sub CarregaCboNF(cbo As ComboBox, blnPesquisa As Boolean)
   Dim rsCbo As ADODB.Recordset
   
   cbo.Clear
   If blnPesquisa Then cbo.AddItem "(TODAS)"
   Set rsCbo = db.Execute("SELECT DISTINCT CodigoNota FROM tblVendas ORDER BY CodigoNota")
   Do While Not rsCbo.EOF
      cbo.AddItem Format(rsCbo!CodigoNota, "0000")
      rsCbo.MoveNext
   Loop ' rsCbo
   rsCbo.Close
End Sub

Sub CarregaLvEstoque(lvEst As ListView, rsEst As Recordset)
   
Dim lstEst As ListItem

lvEst.ListItems.Clear
Do While Not rsEst.EOF
   Set lstEst = lvEst.ListItems.Add(, , Format(rsEst!Codigoproduto, "0000"))
   lstEst.SubItems(1) = rsEst!NomeProduto
   lstEst.SubItems(2) = rsEst!UnidadesEstoque
   lstEst.SubItems(3) = Format(rsEst!PrecoUnitario, "#,##0.00")
   lstEst.SubItems(4) = Format(rsEst!PrecoUnitarioVenda, "#,##0.00")
   rsEst.MoveNext
Loop

End Sub

Sub CarregaLvNF(lvNF As ListView, rsNF As Recordset)
   
Dim lstNF As ListItem

lvNF.ListItems.Clear
Do While Not rsNF.EOF
   If rsNF!AtualizadaEstoque Then
      Set lstNF = lvNF.ListItems.Add(, , rsNF!Codigoproduto, , 1)
   Else
      Set lstNF = lvNF.ListItems.Add(, , rsNF!Codigoproduto)
   End If
   lstNF.SubItems(1) = rsNF!NomeProduto
   lstNF.SubItems(2) = rsNF!Quantidade
   lstNF.SubItems(3) = Format(rsNF!PrecoUnitarioVenda, "#,##0.00")
   lstNF.SubItems(4) = Format(rsNF!PrecoUnitario, "#,##0.00")
   lstNF.SubItems(5) = rsNF!UnidadesEstoque
   rsNF.MoveNext
Loop

End Sub

Sub CarregaLvPedidos(lvPed As ListView, rsPed As Recordset)
   
Dim lstPed As ListItem

lvPed.ListItems.Clear
Do While Not rsPed.EOF
   If rsPed!AtualizadoEstoque Then
      Set lstPed = lvPed.ListItems.Add(, , rsPed!Codigoproduto, , 1)
   Else
      Set lstPed = lvPed.ListItems.Add(, , rsPed!Codigoproduto)
   End If
   lstPed.SubItems(1) = rsPed!NomeProduto
   lstPed.SubItems(2) = rsPed!Quantidade
   lstPed.SubItems(3) = Format(rsPed!PrecoUnitarioPedido, "#,##0.00")
   lstPed.SubItems(4) = Format(rsPed!PrecoUnitario, "#,##0.00")
   lstPed.SubItems(5) = rsPed!UnidadesEstoque
   rsPed.MoveNext
Loop

End Sub

Sub CarregaLvPedidosTot(lvPed As ListView, rsPed As Recordset)
   
Dim lstPed As ListItem

lvPed.ListItems.Clear
Do While Not rsPed.EOF
   If rsPed!AtualizadoEstoque Then
      Set lstPed = lvPed.ListItems.Add(, , rsPed!CodigoPedido, , 1)
   Else
      Set lstPed = lvPed.ListItems.Add(, , rsPed!CodigoPedido)
   End If
   lstPed.SubItems(1) = Format(rsPed!DataPedido, "dd/mm/yyyy")
   lstPed.SubItems(2) = Format(rsPed!TotPed, "#,##0.00")
   rsPed.MoveNext
Loop

End Sub

Sub CarregaLvNFTot(lvNF As ListView, rsNF As Recordset)
   
Dim lstNF As ListItem

lvNF.ListItems.Clear
Do While Not rsNF.EOF
   If rsNF!AtualizadaEstoque Then
      Set lstNF = lvNF.ListItems.Add(, , rsNF!CodigoNota, , 1)
   Else
      Set lstNF = lvNF.ListItems.Add(, , rsNF!CodigoNota)
   End If
   lstNF.SubItems(1) = Format(rsNF!DataVenda, "dd/mm/yyyy")
   lstNF.SubItems(2) = Format(rsNF!TotNF, "#,##0.00")
   rsNF.MoveNext
Loop

End Sub

